%define api_version 1.0.2
%define pkg_name geronimo-activation_%{api_version}_spec

Name:          geronimo-jaf-1.0.2-api
Version:       1.2
Release:       %mkrel 1
Summary:       Java Activation 1.0.2 API
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-activation_1.0.2_spec-1.2/
# tar czf geronimo-activation_1.0.2_spec-1.2-src-svn.tar.gz geronimo-activation_1.0.2_spec-1.2
Source0:       geronimo-activation_1.0.2_spec-1.2-src-svn.tar.gz
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: geronimo-parent-poms
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Geronimo Java Activation 1.0.2 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Java Activation 1.0.2 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%build
mvn-rpmbuild -Dmaven.test.failure.ignore=true install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-jaf-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-jaf-%{api_version}-api-%{version}.jar geronimo-jaf-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-jaf-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-jaf-%{api_version}-api.pom geronimo-jaf-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-jaf-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-jaf-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-jaf-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-jaf-1.0.2-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-jaf-%{api_version}-api


%changelog

* Tue Sep 06 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 139012
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-jaf-1.0.2-api

